# Get Payer Endpoint: GET /payer/{payer_id} Version: v1 Security: x-api-key, a-api-key ## Path parameters: - `payer_id` (integer, required) ## Response 200 fields (application/json): - `row_num` (integer) - `total_rows` (integer) - `links` (object) - `links.self` (string) Example: "https://api.pracsuite.com/v1/payer/1" - `links.accounts` (string) Example: "https://api.pracsuite.com/v1/payer/1/account" - `links.payer_contacts` (string) Example: "https://api.pracsuite.com/v1/payer/1/payer_contact" - `tenant_id` (integer) - `payer_id` (integer) - `archive` (boolean) - `description` (string) - `address_1` (string) - `address_2` (string) - `address_3` (string) - `address_4` (string) - `suburb` (string) - `address_state` (string) - `postcode` (string) - `country` (string) - `phone` (string) - `fax` (string) - `email` (string) - `notes` (string) - `website` (string) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 404 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 404 - `error.code` (string) Example: "NOT_FOUND" - `error.detail` (string) Human readable explanation of the error Example: "Could not find {Resource} with ID {ID_HERE}" - `request_id` (string) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"